/*
  Tyba HTTP Server, v0.1  
  By Carlos Varela (cavarela@uniandes.edu.co, cvarela@isr.co.jp)
  March, 1996

  v0.2  July 8, 1996  cvarela :  Restructured server classes.
*/

class HTTPCode {
    int code;
    String reason;

    HTTPCode(int code){
        this.code = code;
        switch (code) {
            case 200:
                this.reason = new String("Document follows");
                break;
            case 404:
                this.reason = new String("File not found");
                break;
            default:
                this.reason = null;  // ?? "" ??
        }
    }

    public String toString(){
        return ((new Integer(code)).toString() + " " + reason);
    }
}